aboutsummaryrefslogtreecommitdiff
path: root/scripts/change.sh
diff options
context:
space:
mode:
authorRob Landley <rob@landley.net>2015-07-06 05:08:48 -0500
committerRob Landley <rob@landley.net>2015-07-06 05:08:48 -0500
commitcc585db6949917ef8d9d72d88e2fdbb8d6c63df0 (patch)
treed2559cb92091d24f565483c723372e9eddab790f /scripts/change.sh
parent137ac1f8000b1c50b2485912de6e8f553a498230 (diff)
downloadtoybox-cc585db6949917ef8d9d72d88e2fdbb8d6c63df0.tar.gz
Save failure reason for each make change .bad file.
Diffstat (limited to 'scripts/change.sh')
-rwxr-xr-xscripts/change.sh5
1 files changed, 3 insertions, 2 deletions
diff --git a/scripts/change.sh b/scripts/change.sh
index 8b8ab92b..dcd581ee 100755
--- a/scripts/change.sh
+++ b/scripts/change.sh
@@ -14,6 +14,7 @@ mkdir -p "$PREFIX" || exit 1
for i in $(generated/instlist | egrep -vw "sh|help")
do
- echo -n "$i " &&
- scripts/single.sh $i > /dev/null || touch $PREFIX/${i}.bad
+ echo -n " $i" &&
+ scripts/single.sh $i > /dev/null 2>$PREFIX/${i}.bad &&
+ rm $PREFIX/${i}.bad || echo -n '*'
done